Package org.kapott.hbci.sepa.jaxb.pain_008_001_08

# Class PaymentInstruction29

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_008_001_08.PaymentInstruction29

public class PaymentInstruction29 extends Object

Java class for PaymentInstruction29 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PaymentInstruction29">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="PmtInfId" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.08}Max35Text"/>
             <element name="PmtMtd" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.08}PaymentMethod2Code"/>
             <element name="BtchBookg" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.08}BatchBookingIndicator" minOccurs="0"/>
             <element name="NbOfTxs" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.08}Max15NumericText" minOccurs="0"/>
             <element name="CtrlSum" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.08}DecimalNumber" minOccurs="0"/>
             <element name="PmtTpInf" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.08}PaymentTypeInformation29" minOccurs="0"/>
             <element name="ReqdColltnDt" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.08}ISODate"/>
             <element name="Cdtr" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.08}PartyIdentification135"/>
             <element name="CdtrAcct" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.08}CashAccount38"/>
             <element name="CdtrAgt" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.08}BranchAndFinancialInstitutionIdentification6"/>
             <element name="CdtrAgtAcct" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.08}CashAccount38" minOccurs="0"/>
             <element name="UltmtCdtr" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.08}PartyIdentification135" minOccurs="0"/>
             <element name="ChrgBr" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.08}ChargeBearerType1Code" minOccurs="0"/>
             <element name="ChrgsAcct" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.08}CashAccount38" minOccurs="0"/>
             <element name="ChrgsAcctAgt" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.08}BranchAndFinancialInstitutionIdentification6" minOccurs="0"/>
             <element name="CdtrSchmeId" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.08}PartyIdentification135" minOccurs="0"/>
             <element name="DrctDbtTxInf" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.08}DirectDebitTransactionInformation23" maxOccurs="unbounded"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Boolean`
`btchBookg`
`protected PartyIdentification135`
`cdtr`
`protected CashAccount38`
`cdtrAcct`
`protected BranchAndFinancialInstitutionIdentification6`
`cdtrAgt`
`protected CashAccount38`
`cdtrAgtAcct`
`protected PartyIdentification135`
`cdtrSchmeId`
`protected ChargeBearerType1Code`
`chrgBr`
`protected CashAccount38`
`chrgsAcct`
`protected BranchAndFinancialInstitutionIdentification6`
`chrgsAcctAgt`
`protected BigDecimal`
`ctrlSum`
`protected List<DirectDebitTransactionInformation23>`
`drctDbtTxInf`
`protected String`
`nbOfTxs`
`protected String`
`pmtInfId`
`protected PaymentMethod2Code`
`pmtMtd`
`protected PaymentTypeInformation29`
`pmtTpInf`
`protected XMLGregorianCalendar`
`reqdColltnDt`
`protected PartyIdentification135`
`ultmtCdtr`

## Constructor Summary

Constructors
Constructor
Description
`PaymentInstruction29()`

## Method Summary

Modifier and Type
Method
Description
`PartyIdentification135`
`getCdtr()`
Gets the value of the cdtr property.
`CashAccount38`
`getCdtrAcct()`
Gets the value of the cdtrAcct property.
`BranchAndFinancialInstitutionIdentification6`
`getCdtrAgt()`
Gets the value of the cdtrAgt property.
`CashAccount38`
`getCdtrAgtAcct()`
Gets the value of the cdtrAgtAcct property.
`PartyIdentification135`
`getCdtrSchmeId()`
Gets the value of the cdtrSchmeId property.
`ChargeBearerType1Code`
`getChrgBr()`
Gets the value of the chrgBr property.
`CashAccount38`
`getChrgsAcct()`
Gets the value of the chrgsAcct property.
`BranchAndFinancialInstitutionIdentification6`
`getChrgsAcctAgt()`
Gets the value of the chrgsAcctAgt property.
`BigDecimal`
`getCtrlSum()`
Gets the value of the ctrlSum property.
`List<DirectDebitTransactionInformation23>`
`getDrctDbtTxInf()`
Gets the value of the drctDbtTxInf property.
`String`
`getNbOfTxs()`
Gets the value of the nbOfTxs property.
`String`
`getPmtInfId()`
Gets the value of the pmtInfId property.
`PaymentMethod2Code`
`getPmtMtd()`
Gets the value of the pmtMtd property.
`PaymentTypeInformation29`
`getPmtTpInf()`
Gets the value of the pmtTpInf property.
`XMLGregorianCalendar`
`getReqdColltnDt()`
Gets the value of the reqdColltnDt property.
`PartyIdentification135`
`getUltmtCdtr()`
Gets the value of the ultmtCdtr property.
`Boolean`
`isBtchBookg()`
Gets the value of the btchBookg property.
`void`
`setBtchBookg(Boolean value)`
Sets the value of the btchBookg property.
`void`
`setCdtr(PartyIdentification135 value)`
Sets the value of the cdtr property.
`void`
`setCdtrAcct(CashAccount38 value)`
Sets the value of the cdtrAcct property.
`void`
`setCdtrAgt(BranchAndFinancialInstitutionIdentification6 value)`
Sets the value of the cdtrAgt property.
`void`
`setCdtrAgtAcct(CashAccount38 value)`
Sets the value of the cdtrAgtAcct property.
`void`
`setCdtrSchmeId(PartyIdentification135 value)`
Sets the value of the cdtrSchmeId property.
`void`
`setChrgBr(ChargeBearerType1Code value)`
Sets the value of the chrgBr property.
`void`
`setChrgsAcct(CashAccount38 value)`
Sets the value of the chrgsAcct property.
`void`
`setChrgsAcctAgt(BranchAndFinancialInstitutionIdentification6 value)`
Sets the value of the chrgsAcctAgt property.
`void`
`setCtrlSum(BigDecimal value)`
Sets the value of the ctrlSum property.
`void`
`setNbOfTxs(String value)`
Sets the value of the nbOfTxs property.
`void`
`setPmtInfId(String value)`
Sets the value of the pmtInfId property.
`void`
`setPmtMtd(PaymentMethod2Code value)`
Sets the value of the pmtMtd property.
`void`
`setPmtTpInf(PaymentTypeInformation29 value)`
Sets the value of the pmtTpInf property.
`void`
`setReqdColltnDt(XMLGregorianCalendar value)`
Sets the value of the reqdColltnDt property.
`void`
`setUltmtCdtr(PartyIdentification135 value)`
Sets the value of the ultmtCdtr property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### pmtInfId

protected String pmtInfId

### pmtMtd

protected PaymentMethod2Code pmtMtd

### btchBookg

protected Boolean btchBookg

### nbOfTxs

protected String nbOfTxs

### ctrlSum

protected BigDecimal ctrlSum

### pmtTpInf

protected PaymentTypeInformation29 pmtTpInf

### reqdColltnDt

protected XMLGregorianCalendar reqdColltnDt

### cdtr

protected PartyIdentification135 cdtr

### cdtrAcct

protected CashAccount38 cdtrAcct

### cdtrAgt

protected BranchAndFinancialInstitutionIdentification6 cdtrAgt

### cdtrAgtAcct

protected CashAccount38 cdtrAgtAcct

### ultmtCdtr

protected PartyIdentification135 ultmtCdtr

### chrgBr

protected ChargeBearerType1Code chrgBr

### chrgsAcct

protected CashAccount38 chrgsAcct

### chrgsAcctAgt

protected BranchAndFinancialInstitutionIdentification6 chrgsAcctAgt

### cdtrSchmeId

protected PartyIdentification135 cdtrSchmeId

### drctDbtTxInf

protected List<DirectDebitTransactionInformation23> drctDbtTxInf

## Constructor Details

### PaymentInstruction29

public PaymentInstruction29()

## Method Details

### getPmtInfId

public String getPmtInfId()
Gets the value of the pmtInfId property.

Returns:
  possible object is `String`

### setPmtInfId

public void setPmtInfId(String value)
Sets the value of the pmtInfId property.

Parameters:
  `value` - allowed object is `String`

### getPmtMtd

public PaymentMethod2Code getPmtMtd()
Gets the value of the pmtMtd property.

Returns:
  possible object is `PaymentMethod2Code`

### setPmtMtd

public void setPmtMtd(PaymentMethod2Code value)
Sets the value of the pmtMtd property.

Parameters:
  `value` - allowed object is `PaymentMethod2Code`

### isBtchBookg

public Boolean isBtchBookg()
Gets the value of the btchBookg property.

Returns:
  possible object is `Boolean`

### setBtchBookg

public void setBtchBookg(Boolean value)
Sets the value of the btchBookg property.

Parameters:
  `value` - allowed object is `Boolean`

### getNbOfTxs

public String getNbOfTxs()
Gets the value of the nbOfTxs property.

Returns:
  possible object is `String`

### setNbOfTxs

public void setNbOfTxs(String value)
Sets the value of the nbOfTxs property.

Parameters:
  `value` - allowed object is `String`

### getCtrlSum

public BigDecimal getCtrlSum()
Gets the value of the ctrlSum property.

Returns:
  possible object is `BigDecimal`

### setCtrlSum

public void setCtrlSum(BigDecimal value)
Sets the value of the ctrlSum property.

Parameters:
  `value` - allowed object is `BigDecimal`

### getPmtTpInf

public PaymentTypeInformation29 getPmtTpInf()
Gets the value of the pmtTpInf property.

Returns:
  possible object is `PaymentTypeInformation29`

### setPmtTpInf

public void setPmtTpInf(PaymentTypeInformation29 value)
Sets the value of the pmtTpInf property.

Parameters:
  `value` - allowed object is `PaymentTypeInformation29`

### getReqdColltnDt

public XMLGregorianCalendar getReqdColltnDt()
Gets the value of the reqdColltnDt property.

Returns:
  possible object is `XMLGregorianCalendar`

### setReqdColltnDt

public void setReqdColltnDt(XMLGregorianCalendar value)
Sets the value of the reqdColltnDt property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

### getCdtr

public PartyIdentification135 getCdtr()
Gets the value of the cdtr property.

Returns:
  possible object is `PartyIdentification135`

### setCdtr

public void setCdtr(PartyIdentification135 value)
Sets the value of the cdtr property.

Parameters:
  `value` - allowed object is `PartyIdentification135`

### getCdtrAcct

public CashAccount38 getCdtrAcct()
Gets the value of the cdtrAcct property.

Returns:
  possible object is `CashAccount38`

### setCdtrAcct

public void setCdtrAcct(CashAccount38 value)
Sets the value of the cdtrAcct property.

Parameters:
  `value` - allowed object is `CashAccount38`

### getCdtrAgt

public BranchAndFinancialInstitutionIdentification6 getCdtrAgt()
Gets the value of the cdtrAgt property.

Returns:
  possible object is `BranchAndFinancialInstitutionIdentification6`

### setCdtrAgt

public void setCdtrAgt(BranchAndFinancialInstitutionIdentification6 value)
Sets the value of the cdtrAgt property.

Parameters:
  `value` - allowed object is `BranchAndFinancialInstitutionIdentification6`

### getCdtrAgtAcct

public CashAccount38 getCdtrAgtAcct()
Gets the value of the cdtrAgtAcct property.

Returns:
  possible object is `CashAccount38`

### setCdtrAgtAcct

public void setCdtrAgtAcct(CashAccount38 value)
Sets the value of the cdtrAgtAcct property.

Parameters:
  `value` - allowed object is `CashAccount38`

### getUltmtCdtr

public PartyIdentification135 getUltmtCdtr()
Gets the value of the ultmtCdtr property.

Returns:
  possible object is `PartyIdentification135`

### setUltmtCdtr

public void setUltmtCdtr(PartyIdentification135 value)
Sets the value of the ultmtCdtr property.

Parameters:
  `value` - allowed object is `PartyIdentification135`

### getChrgBr

public ChargeBearerType1Code getChrgBr()
Gets the value of the chrgBr property.

Returns:
  possible object is `ChargeBearerType1Code`

### setChrgBr

public void setChrgBr(ChargeBearerType1Code value)
Sets the value of the chrgBr property.

Parameters:
  `value` - allowed object is `ChargeBearerType1Code`

### getChrgsAcct

public CashAccount38 getChrgsAcct()
Gets the value of the chrgsAcct property.

Returns:
  possible object is `CashAccount38`

### setChrgsAcct

public void setChrgsAcct(CashAccount38 value)
Sets the value of the chrgsAcct property.

Parameters:
  `value` - allowed object is `CashAccount38`

### getChrgsAcctAgt

public BranchAndFinancialInstitutionIdentification6 getChrgsAcctAgt()
Gets the value of the chrgsAcctAgt property.

Returns:
  possible object is `BranchAndFinancialInstitutionIdentification6`

### setChrgsAcctAgt

public void setChrgsAcctAgt(BranchAndFinancialInstitutionIdentification6 value)
Sets the value of the chrgsAcctAgt property.

Parameters:
  `value` - allowed object is `BranchAndFinancialInstitutionIdentification6`

### getCdtrSchmeId

public PartyIdentification135 getCdtrSchmeId()
Gets the value of the cdtrSchmeId property.

Returns:
  possible object is `PartyIdentification135`

### setCdtrSchmeId

public void setCdtrSchmeId(PartyIdentification135 value)
Sets the value of the cdtrSchmeId property.

Parameters:
  `value` - allowed object is `PartyIdentification135`

### getDrctDbtTxInf

public List<DirectDebitTransactionInformation23> getDrctDbtTxInf()
Gets the value of the drctDbtTxInf property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the drctDbtTxInf property.

For example, to add a new item, do as follows:

        getDrctDbtTxInf().add(newItem);

Objects of the following type(s) are allowed in the list `DirectDebitTransactionInformation23`